import { App, Directive, Plugin } from 'vue';
declare type LoadingStatus = 'pending' | 'success' | 'error';
interface LazyOptions {
    loading: string;
    error: string;
}
declare type Lazy = LazyOptions & {
    src: string;
    state: LoadingStatus;
};
declare type LazyHTMLElement = HTMLElement & {
    _lazy: Lazy;
};
export declare type LazyEventOptions = {
    el: LazyHTMLElement;
    status: string;
    type: string;
};
declare const Lazy: Directive & Plugin;
export declare const _LazyComponent: import("vue").ObjectDirective<any, any> & {
    install: (app: App<any>, ...options: any[]) => any;
};
export default Lazy;
