import { defineComponent as p, ref as c } from "vue";
import { createNamespace as s } from "../../utils/create.js";
import { ButtonProps as a } from "./ButtonProps.js";
import f from "../../directives/ripple/index.js";
import d from "../nLoading/index.js";
import "./style/button.less";
const B = p({
  name: "NButton",
  directives: { Ripple: f },
  components: { NLoading: d },
  props: a,
  setup(t) {
    const n = s("button"), r = c();
    return { bem: n, nLoading: r, buttonclick: (e) => {
      const { disabled: i, loading: m, onClick: o } = t;
      i || m || !o || o(e);
    } };
  }
});
export {
  B as default
};
