import { type PropType, type ExtractPropTypes, type ComponentPublicInstance } from 'vue';
import type { RouteLocationRaw } from 'vue-router';
export declare const routeProps: {
    link: PropType<RouteLocationRaw>;
    url: StringConstructor;
    replace: BooleanConstructor;
};
export declare type RouteProps = ExtractPropTypes<typeof routeProps>;
export declare function route({ link, url, replace, $router: router }: ComponentPublicInstance<RouteProps>): void;
export declare function useRoute(): () => void;
