import { ExtractPropTypes, PropType } from 'vue';
declare function directionValidator(direction: string): boolean;
export declare type ColDirection = 'row' | 'column';
export declare type ColSizeDescriptor = {
    span?: number | string;
    offset?: number | string;
};
export declare const ColProps: {
    span: {
        type: (StringConstructor | NumberConstructor)[];
        default: number;
    };
    offset: {
        type: (StringConstructor | NumberConstructor)[];
        default: number;
    };
    direction: {
        type: PropType<ColDirection>;
        default: string;
        validator: typeof directionValidator;
    };
};
export declare type ColProps = ExtractPropTypes<typeof ColProps>;
export {};
