import { defineComponent as u, ref as p } from "vue";
import { createNamespace as L } from "../../utils/create.js";
import { handleUnit as I } from "../../utils/tools.js";
import E from "../../directives/lazy/index.js";
import { defaultLoadingImg as h, defaultLoadingError as v } from "../../directives/lazy/defaultImg.js";
import { ImageProps as y } from "./ImageProps.js";
import "./style/image.less";
const P = u({
  name: "NImage",
  directives: { Lazy: E },
  props: y,
  setup(a) {
    var i;
    const f = L("image"), e = p((i = a.loading) != null ? i : h), d = () => {
      const { lazy: r, src: o, error: t, onLoad: s, onError: c } = a;
      if (!r) {
        let n = new Image();
        n.src = o, n.onerror = (m) => {
          e.value = t != null ? t : v, c && c(m);
        }, n.onload = (m) => {
          e.value = o, s && s(m);
        };
      }
    }, g = (r) => {
      const { onLoad: o } = a;
      r.status === "success" && o && o(r);
    }, l = (r) => {
      const { onError: o } = a;
      r.status === "error" && o && o(r);
    };
    return d(), { bem: f, imgSrc: e, handleUnit: I, handleImgLoad: g, handleImgError: l };
  }
});
export {
  P as default
};
