import { ExtractPropTypes, PropType } from 'vue';
export declare function typeValidator(type: string): boolean;
export declare function sizeValidator(type: string): boolean;
export declare const LoadingProps: {
    type: {
        type: PropType<"time" | "circle" | "wave" | "point" | "rever" | "bounce" | "battery">;
        default: string;
        validator: typeof typeValidator;
    };
    color: {
        type: StringConstructor;
    };
    loading: {
        type: BooleanConstructor;
        default: boolean;
    };
    size: {
        type: PropType<"small" | "mini" | "normal" | "large">;
        default: string;
    };
    text: {
        type: StringConstructor;
        default: string;
    };
    parallel: {
        type: BooleanConstructor;
        default: boolean;
    };
    loadingAbsolute: {
        type: BooleanConstructor;
        default: boolean;
    };
    showMask: {
        type: BooleanConstructor;
        default: boolean;
    };
};
export declare type LoadingProps = ExtractPropTypes<typeof LoadingProps>;
