declare const nButton: import("../../utils/withInstall").SFCWithInstall<import("vue").DefineComponent<{
    type: {
        type: import("vue").PropType<"default" | "success" | "primary" | "info" | "warning" | "danger">;
        default: string;
        validator: (type: string) => boolean;
    };
    size: {
        type: import("vue").PropType<"small" | "mini" | "normal" | "large">;
        default: string;
        validator: (size: string) => boolean;
    };
    border: {
        type: BooleanConstructor;
        default: boolean;
    };
    shape: {
        type: import("vue").PropType<"round" | "square" | "radius">;
        default: string;
    };
    disabled: {
        type: BooleanConstructor;
        default: boolean;
    };
    block: {
        type: BooleanConstructor;
        default: boolean;
    };
    isRipple: {
        type: BooleanConstructor;
        default: boolean;
    };
    loading: {
        type: BooleanConstructor;
        default: boolean;
    };
    loadingText: {
        type: StringConstructor;
        default: string;
    };
    loadingSize: {
        type: import("vue").PropType<"small" | "mini" | "normal" | "large">;
        default: string;
        validator: (size: string) => boolean;
    };
    loadingType: {
        type: import("vue").PropType<"time" | "circle" | "wave" | "point" | "rever" | "bounce" | "battery">;
        default: string;
        validator: (type: string) => boolean;
    };
    bgColor: {
        type: StringConstructor;
    };
    textColor: {
        type: StringConstructor;
    };
    onClick: {
        type: import("vue").PropType<(e: Event) => void | Promise<any>>;
    };
}, {
    bem: {
        b: (blockSuffix?: string) => string;
        e: (element?: string) => string;
        m: (modifier?: string) => string;
        be: (blockSuffix?: string, element?: string) => string;
        bm: (blockSuffix?: string, modifier?: string) => string;
        em: (element?: string, modifier?: string) => string;
        bem: (blockSuffix?: string, element?: string, modifier?: string) => string;
        is: (name: string, state: string | boolean) => string;
    };
    nLoading: import("vue").Ref<any>;
    buttonclick: (e: Event) => void;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, Record<string, any>, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    type: {
        type: import("vue").PropType<"default" | "success" | "primary" | "info" | "warning" | "danger">;
        default: string;
        validator: (type: string) => boolean;
    };
    size: {
        type: import("vue").PropType<"small" | "mini" | "normal" | "large">;
        default: string;
        validator: (size: string) => boolean;
    };
    border: {
        type: BooleanConstructor;
        default: boolean;
    };
    shape: {
        type: import("vue").PropType<"round" | "square" | "radius">;
        default: string;
    };
    disabled: {
        type: BooleanConstructor;
        default: boolean;
    };
    block: {
        type: BooleanConstructor;
        default: boolean;
    };
    isRipple: {
        type: BooleanConstructor;
        default: boolean;
    };
    loading: {
        type: BooleanConstructor;
        default: boolean;
    };
    loadingText: {
        type: StringConstructor;
        default: string;
    };
    loadingSize: {
        type: import("vue").PropType<"small" | "mini" | "normal" | "large">;
        default: string;
        validator: (size: string) => boolean;
    };
    loadingType: {
        type: import("vue").PropType<"time" | "circle" | "wave" | "point" | "rever" | "bounce" | "battery">;
        default: string;
        validator: (type: string) => boolean;
    };
    bgColor: {
        type: StringConstructor;
    };
    textColor: {
        type: StringConstructor;
    };
    onClick: {
        type: import("vue").PropType<(e: Event) => void | Promise<any>>;
    };
}>>, {
    type: "default" | "success" | "primary" | "info" | "warning" | "danger";
    disabled: boolean;
    size: "small" | "mini" | "normal" | "large";
    isRipple: boolean;
    loading: boolean;
    border: boolean;
    shape: "round" | "square" | "radius";
    block: boolean;
    loadingText: string;
    loadingSize: "small" | "mini" | "normal" | "large";
    loadingType: "time" | "circle" | "wave" | "point" | "rever" | "bounce" | "battery";
}>>;
export default nButton;
export { nButton };
declare module 'vue' {
    interface GlobalComponents {
        nButton: typeof nButton;
    }
}
