declare const nImage: import("../../utils/withInstall").SFCWithInstall<import("vue").DefineComponent<{
    src: {
        type: StringConstructor;
        default: string;
    };
    alt: {
        type: StringConstructor;
        default: string;
    };
    title: {
        type: StringConstructor;
        default: string;
    };
    width: {
        type: (StringConstructor | NumberConstructor)[];
        default: string;
    };
    height: {
        type: (StringConstructor | NumberConstructor)[];
        default: string;
    };
    radius: {
        type: (StringConstructor | NumberConstructor)[];
        default: string;
    };
    block: {
        type: BooleanConstructor;
        default: boolean;
    };
    lazy: {
        type: BooleanConstructor;
        default: boolean;
    };
    loading: {
        type: StringConstructor;
        default: null;
    };
    error: {
        type: StringConstructor;
        default: null;
    };
    onLoad: {
        type: import("vue").PropType<(e: Event) => void | Promise<any>>;
    };
    onError: {
        type: import("vue").PropType<(e: Event) => void | Promise<any>>;
    };
    fit: {
        type: import("vue").PropType<"fill" | "contain" | "cover" | "none" | "scale-down">;
        default: string;
        validator: (type: string) => boolean;
    };
}, {
    bem: {
        b: (blockSuffix?: string) => string;
        e: (element?: string) => string;
        m: (modifier?: string) => string;
        be: (blockSuffix?: string, element?: string) => string;
        bm: (blockSuffix?: string, modifier?: string) => string;
        em: (element?: string, modifier?: string) => string;
        bem: (blockSuffix?: string, element?: string, modifier?: string) => string;
        is: (name: string, state: string | boolean) => string;
    };
    imgSrc: import("vue").Ref<string>;
    handleUnit: (size: string | number) => string | undefined;
    handleImgLoad: (e: Event) => void;
    handleImgError: (e: Event) => void;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, Record<string, any>, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    src: {
        type: StringConstructor;
        default: string;
    };
    alt: {
        type: StringConstructor;
        default: string;
    };
    title: {
        type: StringConstructor;
        default: string;
    };
    width: {
        type: (StringConstructor | NumberConstructor)[];
        default: string;
    };
    height: {
        type: (StringConstructor | NumberConstructor)[];
        default: string;
    };
    radius: {
        type: (StringConstructor | NumberConstructor)[];
        default: string;
    };
    block: {
        type: BooleanConstructor;
        default: boolean;
    };
    lazy: {
        type: BooleanConstructor;
        default: boolean;
    };
    loading: {
        type: StringConstructor;
        default: null;
    };
    error: {
        type: StringConstructor;
        default: null;
    };
    onLoad: {
        type: import("vue").PropType<(e: Event) => void | Promise<any>>;
    };
    onError: {
        type: import("vue").PropType<(e: Event) => void | Promise<any>>;
    };
    fit: {
        type: import("vue").PropType<"fill" | "contain" | "cover" | "none" | "scale-down">;
        default: string;
        validator: (type: string) => boolean;
    };
}>>, {
    error: string;
    lazy: boolean;
    src: string;
    title: string;
    width: string | number;
    height: string | number;
    loading: string;
    radius: string | number;
    block: boolean;
    alt: string;
    fit: "fill" | "contain" | "cover" | "none" | "scale-down";
}>>;
export default nImage;
export { nImage };
declare module 'vue' {
    interface GlobalComponents {
        nImage: typeof nImage;
    }
}
