import { ExtractPropTypes, PropType } from 'vue';
declare function justifyValidator(justify: string): boolean;
declare function alignValidator(align: string): boolean;
export declare const RowProps: {
    gutter: {
        type: (StringConstructor | NumberConstructor)[];
        default: number;
    };
    justify: {
        type: PropType<"flex-start" | "flex-end" | "center" | "space-between" | "space-around">;
        default: string;
        validator: typeof justifyValidator;
    };
    align: {
        type: PropType<"flex-start" | "flex-end" | "center">;
        default: string;
        validator: typeof alignValidator;
    };
};
export declare type RowProps = ExtractPropTypes<typeof RowProps>;
export {};
